Download it now!
Bug 81532 - No icon themes are found when symlinks are used in config directory
Summary: No icon themes are found when symlinks are used in config directory
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.3.0.3 rc
Hardware: All Linux (All)
: medium major
Assignee: Tobias Lippert
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-19 11:36 UTC by Tobias Lippert
Modified: 2014-08-27 11:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Lippert 2014-07-19 11:36:25 UTC
The Debian maintainer for LibreOffice approached me with an error in LO 4.3.0.x
(cf. https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=752531 , search for "icon selection")

When the config directory contains symlinks instead of real files, no icon themes are found, and the program closes with an error message when going to the options and clicking on "view".

An example for a symlink looks as follows.
/usr/lib/libreoffice/share/config/images.zip -> ../../../../share/libreoffice/share/config/images.zip
Comment 1 Rene Engelhard 2014-07-19 11:47:51 UTC
FTR; typo in the bug URL (from me, probably): https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=752541 is correct
Comment 2 Commit Notification 2014-07-21 08:14:05 UTC
Tobias Lippert committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=60954a8a96a66ff11e06b850838f3d16e8e1625f

fdo#81532 Handle symlinks to icon themes correctly



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.